# Known errors

## :construction: Oops

Sometime the stack get stuck when we reset several instances, overflowing our message broker rabbitmq. The following screen is then obtained when trying to access an instance:
![oops_error](/img/known_errors/oops_error.png)

On the server, we can see that the server is underwater by using "top" command:
![oops_error_1](/img/known_errors/oops_error_1.png)

To fix this issue, just restart the service on the server with "docker-compose down / docker-compose up -d" in the easy-cozy folder:
![oops_error_2](/img/known_errors/oops_error_2.png)

## Delete instance impossible

When you get this issue after trying to delete instance :

![delete_issue](/img/known_errors/instance_delete_issue.png)

You have to remove it from db, in order to do that follow this steps :

1. Get instance UUID

    ```sh
    docker-compose exec cozy ./cozy instances show-db-prefix --host 0.0.0.0 demo.cozy.self-data.alpha.grandlyon.com
    ```

2. Connect to database with ssh port forwarding or use curl requests

3. Remove instance in `gloabal/instances` db by searching for UUID. (Ex: cozy5e2af113e04eb2319ef1b7645c5790e1)
