# Introduction

## Newsletter

The goal is to send newsletters following this design :

![Architecture principles](/img/ecolyo-agent/newsletter-template.png)

There are 4 different sections :

- subject : manages the mail subject

- monthlyInfo : contains a image URL and some global information

- monthlyNews : contains an editable title and some information about the novelties

- poll : contains a question and a link to answer a survey

## Partners issues

This section allow the admin to activate alerts in the ecolyo app when a partners API is down.
Admin has to activate the modal switch AND at least one fluid switch to make it work. He also has to set the switches to off position manually when the concerned APIs are back to normal

## Prices

This section manages the prices for each fluid in the ecolyo application.

### Rules

- The next price to create is automatically pre-selected by default
- Only the 2 last prices plus the one to create are editable, the others are just searchable
- Each fluid has its own date frequency :
    - Electricity : one new price every 6 month (February and August)
    - Water : one new price every year
    - Gas : one new price every month
- When user creates a new price, the previous price's endDate is set to the new startDate minus 1 minute, so every prices keeps following in time.
