# Deploy

:construction: Section under Construction :construction:

This section will show you how to deploy your project on different environments.

## Setup

First of all you'll need to install [MobaXterm](https://mobaxterm.mobatek.net/download.html) in order to connect to the server.
Then, if you're on Linux you can skip the following section, otherwise if you are on Windows you'll have to install Windows Subsystem for Linux (WSL) since the deployment of the app is not working with windows commands.

## Deploy Pilote

### Deploy on Alpha

First open your terminal, write the following commands :

```sh
yarn build
```

After this, you can launch the deployment.
In order to deploy on pilote-dev-build (development environment) use the command :

```sh
yarn deploy-dev
# OR for branch build
yarn deploy
```

Then go on server and use scripts to update your instance
