# Onboarding

This section explains the way we handle onboarding the application.

## Description

When the user connects for the first time to Ecolyo, onboarding screens will be displayed.
!!! note "First connection"
    The first connection is define by the **isFirstConnection** boolean contains in the **profile** doctype.

### GCU screen

First of all, we display the GCU screen, which allows user to read the General Condition of Use and the Legal Notice. The user should consent to all the terms to go further in the application.
!!! note "About terms"
    More details are available on the [term section](/ecolyo/functionalities/terms.md).

### Welcome modal

After GCU screen we display a welcome modal to inform user about further steps needed to use Ecolyo (connection to partners to retrieve the data, ...).
We store in user's profile a boolean _onboarding.isWelcomeSeen_ that allows the app to know is the modal has already be seen. If the modal has been seen we will never display it again.

When user close this modal, the **welcome mail** is sent to the user.
