# Introduction

Konnectors are scripts that import data from a web service and put those data into cozy. Each konnector is an independent application managed by the cozy home application.

Ecolyo uses data from 3 web services :

- Enedis
- Grdf
- Eau du grand lyon (EGL)

All the konnectors are configured to retrieve user's data as far as 3 years back.
Some variation have to be considered :

- When the user launches the konnector manually, it fetches 1 year of data (in order to reduce running time).
- When a konnector is launched by the cozy stack (at a random time between 10am and 11am), it fetches 3 years of data.
- When a konnector retrieves a load at the half-hour timeline (ex: enedis), it fetches back to 4 weeks.

## ![gitlab](../img/gitlab-logo.svg) Repositories

- [enedis dataconnect (deprecated)](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/enedis-konnector)
- [enedis sge](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/enedis-sge-konnector)
- [grdf](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/grdf-konnector)
- [egl](https://forge.grandlyon.com/web-et-numerique/factory/llle_project/egl-konnector)
